Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416414 - RFE: Rollback export operations via NFS-Ganesha in case of any volume start/stop failures
Summary: RFE: Rollback export operations via NFS-Ganesha in case of any volume start/s...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.2
Hardware: All
OS: All
low
medium
Target Milestone: ---
: ---
Assignee: Jiffin
QA Contact: Bala Konda Reddy M
URL:
Whiteboard:
Depends On:
Blocks: 1416371
TreeView+ depends on / blocked
 
Reported: 2017-01-25 13:01 UTC by Soumya Koduri
Modified: 2018-10-06 16:01 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-06 16:01:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Soumya Koduri 2017-01-25 13:01:46 UTC
Description of problem:

As mentioned in the bug1416371 and bug1415630, volumes are (un)exported via nfs-ganesha in the glusterd stage phase and there is no mechanism to roll those transactions back in case of any failures during the further stage of volume start/stop processing.

This BZ is to address the same.

Version-Release number of selected component (if applicable):
3.2

How reproducible:
Always

1. Trigger rebalance
2. Stop the volume exported via Ganesha
3. Check showmount on localhots

Actual results:
---------------

The volume gets unexportd.

Expected results:
-----------------

Volume should not get unexported.

Additional info:

Comment 7 Kaleb KEITHLEY 2018-03-26 11:42:26 UTC
I agree with not taking in new features.

(Independent of what storhaug will or won't have.)

Comment 9 Atin Mukherjee 2018-10-06 16:01:59 UTC
This BZ will not be addressed through GD1, as Kaleb & Soumya explained.


Note You need to log in before you can comment on or make changes to this bug.